org.glassfish.jersey.server.model

## Class ResourceMethodInvoker

- java.lang.Object
- - org.glassfish.jersey.server.model.ResourceMethodInvoker

All Implemented Interfaces:
  jakarta.ws.rs.container.ResourceInfo, Inflector<org.glassfish.jersey.server.internal.process.RequestProcessingContext,ContainerResponse>, org.glassfish.jersey.server.internal.process.Endpoint

    public class ResourceMethodInvoker
    extends Object
    implements org.glassfish.jersey.server.internal.process.Endpoint, jakarta.ws.rs.container.ResourceInfo

Server-side request-response `inflector` for invoking methods of annotation-based resource classes.

Author:
  Marek Potociar, Martin Matula

### Nested Class Summary

Nested Classes
`static class` `ResourceMethodInvoker.Builder` Resource method invoker helper.

### Method Summary

All Methods Instance Methods Concrete Methods
`ContainerResponse` `apply(org.glassfish.jersey.server.internal.process.RequestProcessingContext processingContext)`
`Iterable<jakarta.ws.rs.ext.ReaderInterceptor>` `getReaderInterceptors()` Get all writer interceptors applicable to the `resource method` wrapped by this invoker.
`Iterable<org.glassfish.jersey.model.internal.RankedProvider<jakarta.ws.rs.container.ContainerRequestFilter>>` `getRequestFilters()` Get all bound request filters applicable to the `resource method` wrapped by this invoker.
`Class<?>` `getResourceClass()`
`Method` `getResourceMethod()`
`Iterable<org.glassfish.jersey.model.internal.RankedProvider<jakarta.ws.rs.container.ContainerResponseFilter>>` `getResponseFilters()` Get all bound response filters applicable to the `resource method` wrapped by this invoker.
`Iterable<jakarta.ws.rs.ext.WriterInterceptor>` `getWriterInterceptors()` Get all reader interceptors applicable to the `resource method` wrapped by this invoker.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getResourceMethod

    public Method getResourceMethod()

Specified by:
  `getResourceMethod` in interface `jakarta.ws.rs.container.ResourceInfo`

#### getResourceClass

    public Class<?> getResourceClass()

Specified by:
  `getResourceClass` in interface `jakarta.ws.rs.container.ResourceInfo`

#### apply

    public ContainerResponse apply(org.glassfish.jersey.server.internal.process.RequestProcessingContext processingContext)

Specified by:
  `apply` in interface `Inflector<org.glassfish.jersey.server.internal.process.RequestProcessingContext,ContainerResponse>`

#### getRequestFilters

    public Iterable<org.glassfish.jersey.model.internal.RankedProvider<jakarta.ws.rs.container.ContainerRequestFilter>> getRequestFilters()

Get all bound request filters applicable to the `resource method` wrapped by this invoker.

Returns:
  All bound (dynamically or by name) request filters applicable to the `resource method`.

#### getResponseFilters

    public Iterable<org.glassfish.jersey.model.internal.RankedProvider<jakarta.ws.rs.container.ContainerResponseFilter>> getResponseFilters()

Get all bound response filters applicable to the `resource method` wrapped by this invoker.

Returns:
  All bound (dynamically or by name) response filters applicable to the `resource method`.

#### getWriterInterceptors

    public Iterable<jakarta.ws.rs.ext.WriterInterceptor> getWriterInterceptors()

Get all reader interceptors applicable to the `resource method` wrapped by this invoker.

Returns:
  All reader interceptors applicable to the `resource method`.

#### getReaderInterceptors

    public Iterable<jakarta.ws.rs.ext.ReaderInterceptor> getReaderInterceptors()

Get all writer interceptors applicable to the `resource method` wrapped by this invoker.

Returns:
  All writer interceptors applicable to the `resource method`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`